Upgrade from earlier versions of Functional Tester

IBM IBM Rational Functional Tester version 8.x cannot be installed on a computer on which Rational Functional Tester version 6.1.x or 7.0.x is installed. All previous versions of Functional Tester must be uninstalled before attempting to install IBM Rational Functional Tester version 8.x.


Enable

As part of the upgrade, the first time you run the Enabler you will get a message informing you that Java environments that were previously enabled will be automatically disabled. You must then enable Java environments that you want to use for testing. Web browsers that were previously enabled will remain that way. Click Configure > Enable Environments for Testing on the Rational Functional Tester menu to run the Enabler. For more information on using the Enabler, see Enable Java Environments.


Migrating test assets from earlier versions of Rational Functional Tester

All test assets from earlier versions of Rational Functional Tester , including projects, scripts, object maps, and verification points, work with the current version of the product. However, scripts that you record with the current version of the product will not play back on earlier versions. When you play back a script that was recorded with a previous version, a warning message is displayed in the log file. To view the log file without the warning message, disconnect the project, and connect again .

To connect to the project:

  1. Right-click the functional test project, and click Disconnect Project. The project is removed from the Functional Test Projects view.

  2. Click File > Connect to a Functional Test Project.

  3. Click Browse to browse to the project location path. The project name is displayed in the Project name field when you browse to the project location path.

  4. Click Finish. A dialog box prompting you to upgrade the project from the older version and connect again is displayed.

  5. Click Yes. The functional test project is displayed in the Functional Test Projects view.


Related concepts

Upgrade from IBM Rational Functional Tester version 6.1.x or 7.0.x